clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::comments::ParagraphComment Class Reference

A single paragraph that contains inline content. More...

`#include "clang/AST/Comment.h"`

Inheritance diagram for clang::comments::ParagraphComment:
[legend]
Collaboration diagram for clang::comments::ParagraphComment:
[legend]

## Public Member Functions
| ParagraphComment (ArrayRef< InlineContentComment *> Content)
child_iterator | child_begin () const
child_iterator | child_end () const
bool | isWhitespace () const
Public Member Functions inherited from clang::comments::Comment
| Comment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
CommentKind | getCommentKind () const
const char * | getCommentKindName () const
void | dump () const
void | dumpColor () const
void | dump (const ASTContext &Context) const
void | dump (raw_ostream &OS, const CommandTraits *Traits, const SourceManager *SM) const
SourceRange | getSourceRange () const LLVM_READONLY
SourceLocation | getBeginLoc () const LLVM_READONLY
SourceLocation | getEndLoc () const LLVM_READONLY
SourceLocation | getLocation () const LLVM_READONLY
child_iterator | child_begin () const
child_iterator | child_end () const
unsigned | child_count () const

## Static Public Member Functions
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::BlockContentComment
static bool | classof (const Comment *C)

## Additional Inherited Members
Public Types inherited from clang::comments::Comment
enum | CommentKind { NoCommentKind = 0 }
typedef Comment *const * | child_iterator
Protected Types inherited from clang::comments::Comment
enum | { NumCommentBits = 8 }
enum | { NumInlineContentCommentBits = NumCommentBits + 1 }
enum | { NumTextCommentBits = NumInlineContentCommentBits + 2 }
enum | { NumInlineCommandCommentBits }
enum | { NumHTMLTagCommentBits = NumInlineContentCommentBits + 1 }
enum | { NumHTMLStartTagCommentBits = NumHTMLTagCommentBits + 1 }
enum | { NumParagraphCommentBits = NumCommentBits + 2 }
enum | { NumBlockCommandCommentBits }
enum | { NumParamCommandCommentBits = NumBlockCommandCommentBits + 3 }
Protected Member Functions inherited from clang::comments::BlockContentComment
| BlockContentComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
Protected Member Functions inherited from clang::comments::Comment
void | setSourceRange (SourceRange SR)
void | setLocation (SourceLocation L)
Protected Attributes inherited from clang::comments::Comment
SourceLocation | Loc
| Preferred location to show caret. More...
SourceRange | Range
| Source range of this AST node. More...
union {
CommentBitfields CommentBits
InlineContentCommentBitfields InlineContentCommentBits
TextCommentBitfields TextCommentBits
InlineCommandCommentBitfields InlineCommandCommentBits
HTMLTagCommentBitfields HTMLTagCommentBits
HTMLStartTagCommentBitfields HTMLStartTagCommentBits
ParagraphCommentBitfields ParagraphCommentBits
BlockCommandCommentBitfields BlockCommandCommentBits
ParamCommandCommentBitfields ParamCommandCommentBits
}; |

## Detailed Description

A single paragraph that contains inline content.

Definition at line 547 of file Comment.h.

## Constructor & Destructor Documentation

## ◆ ParagraphComment()

clang::comments::ParagraphComment::ParagraphComment | ( | ArrayRef< InlineContentComment *> | Content | ) |
| inline

Definition at line 551 of file Comment.h.

References clang::comments::Comment::ParagraphCommentBits, clang::comments::Comment::setLocation(), and clang::comments::Comment::setSourceRange().

## Member Function Documentation

## ◆ child_begin()

child_iterator clang::comments::ParagraphComment::child_begin | ( |  | ) | const
| inline

Definition at line 573 of file Comment.h.

## ◆ child_end()

child_iterator clang::comments::ParagraphComment::child_end | ( |  | ) | const
| inline

Definition at line 577 of file Comment.h.

## ◆ classof()

static bool clang::comments::ParagraphComment::classof | ( | const Comment * | C | ) |
| inline static

Definition at line 569 of file Comment.h.

References clang::comments::Comment::getCommentKind().

## ◆ isWhitespace()

bool clang::comments::ParagraphComment::isWhitespace | ( |  | ) | const
| inline

Definition at line 581 of file Comment.h.

References clang::comments::Comment::ParagraphCommentBits.

Referenced by clang::comments::Sema::checkBlockCommandEmptyParagraph(), and clang::comments::BlockCommandComment::hasNonWhitespaceParagraph().

The documentation for this class was generated from the following files:

- include/clang/AST/Comment.h
- lib/AST/Comment.cpp